package net.pokeranalytics.android.ui.fragment.components

import android.os.Bundle
import androidx.fragment.app.Fragment
import io.realm.Realm
import net.pokeranalytics.android.ui.activity.components.PokerAnalyticsActivity

open class PokerAnalyticsFragment: Fragment() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    override fun onDestroyView() {
        super.onDestroyView()
    }

	/**
	 * Get the realm instance
 	 */
	fun getRealm(): Realm {
		val pokerAnalyticsActivity = activity as PokerAnalyticsActivity
		return pokerAnalyticsActivity.getRealm()
	}

}